<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: NormalizationLayerInfo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classarm__compute_1_1_normalization_layer_info.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">NormalizationLayerInfo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Normalization Layer Information class.  
 <a href="classarm__compute_1_1_normalization_layer_info.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_types_8h_source.xhtml">Types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a364517fc26d500026eaa13f50db45703"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a364517fc26d500026eaa13f50db45703">NormalizationLayerInfo</a> (<a class="el" href="namespacearm__compute.xhtml#ad4bb8dabdbf8ad75e34220cc666b59ca">NormType</a> <a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a39f6445d0b790034f0d8fac36f2eb7f5">type</a>, uint32_t <a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a0549be3702c05e6ec1ada69a6d08e349">norm_size</a>=5, float <a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a4ee7f04c477d0e6a2a3609c24a8815b8">alpha</a>=0.0001f, float beta=0.5f, float kappa=1.f)</td></tr>
<tr class="memdesc:a364517fc26d500026eaa13f50db45703"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default Constructor.  <a href="#a364517fc26d500026eaa13f50db45703">More...</a><br /></td></tr>
<tr class="separator:a364517fc26d500026eaa13f50db45703"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39f6445d0b790034f0d8fac36f2eb7f5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacearm__compute.xhtml#ad4bb8dabdbf8ad75e34220cc666b59ca">NormType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a39f6445d0b790034f0d8fac36f2eb7f5">type</a> () const </td></tr>
<tr class="separator:a39f6445d0b790034f0d8fac36f2eb7f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0549be3702c05e6ec1ada69a6d08e349"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a0549be3702c05e6ec1ada69a6d08e349">norm_size</a> () const </td></tr>
<tr class="separator:a0549be3702c05e6ec1ada69a6d08e349"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ee7f04c477d0e6a2a3609c24a8815b8"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a4ee7f04c477d0e6a2a3609c24a8815b8">alpha</a> () const </td></tr>
<tr class="separator:a4ee7f04c477d0e6a2a3609c24a8815b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55fe6a30749e41ce31c2bb969a5aa25e"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a55fe6a30749e41ce31c2bb969a5aa25e">beta</a> () const </td></tr>
<tr class="separator:a55fe6a30749e41ce31c2bb969a5aa25e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4df91dc0be2437a7d1bfd6d8df72baa8"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a4df91dc0be2437a7d1bfd6d8df72baa8">kappa</a> () const </td></tr>
<tr class="separator:a4df91dc0be2437a7d1bfd6d8df72baa8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f541aab23799f6c61d9c8d7ca9fe15c"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a6f541aab23799f6c61d9c8d7ca9fe15c">scale_coeff</a> () const </td></tr>
<tr class="memdesc:a6f541aab23799f6c61d9c8d7ca9fe15c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the scaling factor of the normalization function.  <a href="#a6f541aab23799f6c61d9c8d7ca9fe15c">More...</a><br /></td></tr>
<tr class="separator:a6f541aab23799f6c61d9c8d7ca9fe15c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Normalization Layer Information class. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00482">482</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a364517fc26d500026eaa13f50db45703"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml">NormalizationLayerInfo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacearm__compute.xhtml#ad4bb8dabdbf8ad75e34220cc666b59ca">NormType</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>norm_size</em> = <code>5</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>alpha</em> = <code>0.0001f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>beta</em> = <code>0.5f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>kappa</em> = <code>1.f</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">type</td><td>The normalization type. Can be <a class="el" href="namespacearm__compute.xhtml#ad4bb8dabdbf8ad75e34220cc666b59caa531d6a3a92fd17afd3c7a8de8d5834c2">NormType::IN_MAP</a> or <a class="el" href="namespacearm__compute.xhtml#ad4bb8dabdbf8ad75e34220cc666b59caa980fef040549733973683b1a868f96e5">NORM_TYPE::CROSS_MAP</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">norm_size</td><td>The normalization size is the number of elements to normalize across. Defaults to 5. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">alpha</td><td>Alpha parameter used by normalization equation. Defaults to 0.0001. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">beta</td><td>Beta parameter used by normalization equation. Defaults to 0.5. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">kappa</td><td>Kappa parameter used by [Krichevksy 2012] Across Channel Local Brightness Normalization equation. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00493">493</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00494"></a><span class="lineno">  494</span>&#160;        : _type(<a class="code" href="classarm__compute_1_1_normalization_layer_info.xhtml#a39f6445d0b790034f0d8fac36f2eb7f5">type</a>), _norm_size(<a class="code" href="classarm__compute_1_1_normalization_layer_info.xhtml#a0549be3702c05e6ec1ada69a6d08e349">norm_size</a>), _alpha(<a class="code" href="classarm__compute_1_1_normalization_layer_info.xhtml#a4ee7f04c477d0e6a2a3609c24a8815b8">alpha</a>), _beta(<a class="code" href="classarm__compute_1_1_normalization_layer_info.xhtml#a55fe6a30749e41ce31c2bb969a5aa25e">beta</a>), _kappa(<a class="code" href="classarm__compute_1_1_normalization_layer_info.xhtml#a4df91dc0be2437a7d1bfd6d8df72baa8">kappa</a>)</div><div class="line"><a name="l00495"></a><span class="lineno">  495</span>&#160;    {</div><div class="line"><a name="l00496"></a><span class="lineno">  496</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_normalization_layer_info_xhtml_a39f6445d0b790034f0d8fac36f2eb7f5"><div class="ttname"><a href="classarm__compute_1_1_normalization_layer_info.xhtml#a39f6445d0b790034f0d8fac36f2eb7f5">arm_compute::NormalizationLayerInfo::type</a></div><div class="ttdeci">NormType type() const </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00497">Types.h:497</a></div></div>
<div class="ttc" id="classarm__compute_1_1_normalization_layer_info_xhtml_a0549be3702c05e6ec1ada69a6d08e349"><div class="ttname"><a href="classarm__compute_1_1_normalization_layer_info.xhtml#a0549be3702c05e6ec1ada69a6d08e349">arm_compute::NormalizationLayerInfo::norm_size</a></div><div class="ttdeci">uint32_t norm_size() const </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00501">Types.h:501</a></div></div>
<div class="ttc" id="classarm__compute_1_1_normalization_layer_info_xhtml_a4ee7f04c477d0e6a2a3609c24a8815b8"><div class="ttname"><a href="classarm__compute_1_1_normalization_layer_info.xhtml#a4ee7f04c477d0e6a2a3609c24a8815b8">arm_compute::NormalizationLayerInfo::alpha</a></div><div class="ttdeci">float alpha() const </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00505">Types.h:505</a></div></div>
<div class="ttc" id="classarm__compute_1_1_normalization_layer_info_xhtml_a4df91dc0be2437a7d1bfd6d8df72baa8"><div class="ttname"><a href="classarm__compute_1_1_normalization_layer_info.xhtml#a4df91dc0be2437a7d1bfd6d8df72baa8">arm_compute::NormalizationLayerInfo::kappa</a></div><div class="ttdeci">float kappa() const </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00513">Types.h:513</a></div></div>
<div class="ttc" id="classarm__compute_1_1_normalization_layer_info_xhtml_a55fe6a30749e41ce31c2bb969a5aa25e"><div class="ttname"><a href="classarm__compute_1_1_normalization_layer_info.xhtml#a55fe6a30749e41ce31c2bb969a5aa25e">arm_compute::NormalizationLayerInfo::beta</a></div><div class="ttdeci">float beta() const </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00509">Types.h:509</a></div></div>
</div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a4ee7f04c477d0e6a2a3609c24a8815b8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float alpha </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00505">505</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00506"></a><span class="lineno">  506</span>&#160;    {</div><div class="line"><a name="l00507"></a><span class="lineno">  507</span>&#160;        <span class="keywordflow">return</span> _alpha;</div><div class="line"><a name="l00508"></a><span class="lineno">  508</span>&#160;    }</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a55fe6a30749e41ce31c2bb969a5aa25e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float beta </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00509">509</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00510"></a><span class="lineno">  510</span>&#160;    {</div><div class="line"><a name="l00511"></a><span class="lineno">  511</span>&#160;        <span class="keywordflow">return</span> _beta;</div><div class="line"><a name="l00512"></a><span class="lineno">  512</span>&#160;    }</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a4df91dc0be2437a7d1bfd6d8df72baa8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float kappa </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00513">513</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00514"></a><span class="lineno">  514</span>&#160;    {</div><div class="line"><a name="l00515"></a><span class="lineno">  515</span>&#160;        <span class="keywordflow">return</span> _kappa;</div><div class="line"><a name="l00516"></a><span class="lineno">  516</span>&#160;    }</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a0549be3702c05e6ec1ada69a6d08e349"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t norm_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00501">501</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00502"></a><span class="lineno">  502</span>&#160;    {</div><div class="line"><a name="l00503"></a><span class="lineno">  503</span>&#160;        <span class="keywordflow">return</span> _norm_size;</div><div class="line"><a name="l00504"></a><span class="lineno">  504</span>&#160;    }</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a6f541aab23799f6c61d9c8d7ca9fe15c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float scale_coeff </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the scaling factor of the normalization function. </p>
<p>If kappa is not 1 then [Krichevksy 2012] normalization scaling is specified. </p><dl class="section return"><dt>Returns</dt><dd>The normalization scaling factor. </dd></dl>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00520">520</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00521"></a><span class="lineno">  521</span>&#160;    {</div><div class="line"><a name="l00522"></a><span class="lineno">  522</span>&#160;        <span class="keywordflow">return</span> (_kappa == 1.f) ? (_alpha / _norm_size) : _alpha;</div><div class="line"><a name="l00523"></a><span class="lineno">  523</span>&#160;    }</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a39f6445d0b790034f0d8fac36f2eb7f5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacearm__compute.xhtml#ad4bb8dabdbf8ad75e34220cc666b59ca">NormType</a> type </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00497">497</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00498"></a><span class="lineno">  498</span>&#160;    {</div><div class="line"><a name="l00499"></a><span class="lineno">  499</span>&#160;        <span class="keywordflow">return</span> _type;</div><div class="line"><a name="l00500"></a><span class="lineno">  500</span>&#160;    }</div></div><!-- fragment -->
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>arm_compute/core/<a class="el" href="_types_8h_source.xhtml">Types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml">NormalizationLayerInfo</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
